#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
def perfometer_Ex2010_MBDB_Info(row, check_command, perf_data):
    color = "#8888EE"
    dbsize = float(perf_data[0][1])
    if dbsize > 1073741824:
        _dbsize = "{0:.2f}".format(dbsize / 1073741824.0)
        _dbsize = str(_dbsize) + ' GByte'
    elif dbsize > 1048576:
        _dbsize = "{0:.2f}".format(dbsize / 1048576.0)
        _dbsize = str(_dbsize) + ' MByte'
    elif dbsize > 1024:
        _dbsize = "{0:.2f}".format(dbsize / 1024.0)
        _dbsize = str(_dbsize) + ' KByte'
    return _dbsize, perfometer_logarithmic(dbsize, 107374182400, 2, color)
	
perfometers["check_mk-Ex2010_MBDB_Info"] = perfometer_Ex2010_MBDB_Info
